com.salesforce.hyperdb.grpc

## Class QueryCommandOk

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.salesforce.hyperdb.grpc.QueryCommandOk

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, QueryCommandOkOrBuilder, Serializable

    public final class QueryCommandOk
    extends com.google.protobuf.GeneratedMessageV3
    implements QueryCommandOkOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryCommandOk`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `QueryCommandOk.Builder` Protobuf type `salesforce.hyperdb.grpc.v1.QueryCommandOk`
`static class` `QueryCommandOk.CommandReturnCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `AFFECTED_ROWS_FIELD_NUMBER`
`static int` `EMPTY_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`long` `getAffectedRows()` `uint64 affected_rows = 1;`
`QueryCommandOk.CommandReturnCase` `getCommandReturnCase()`
`static QueryCommandOk` `getDefaultInstance()`
`QueryCommandOk` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Empty` `getEmpty()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.EmptyOrBuilder` `getEmptyOrBuilder()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.Parser<QueryCommandOk>` `getParserForType()`
`int` `getSerializedSize()`
`boolean` `hasAffectedRows()` `uint64 affected_rows = 1;`
`boolean` `hasEmpty()` `.google.protobuf.Empty empty = 2;`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static QueryCommandOk.Builder` `newBuilder()`
`static QueryCommandOk.Builder` `newBuilder(QueryCommandOk prototype)`
`QueryCommandOk.Builder` `newBuilderForType()`
`protected QueryCommandOk.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static QueryCommandOk` `parseDelimitedFrom(InputStream input)`
`static QueryCommandOk` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryCommandOk` `parseFrom(byte[] data)`
`static QueryCommandOk` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryCommandOk` `parseFrom(ByteBuffer data)`
`static QueryCommandOk` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryCommandOk` `parseFrom(com.google.protobuf.ByteString data)`
`static QueryCommandOk` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryCommandOk` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static QueryCommandOk` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static QueryCommandOk` `parseFrom(InputStream input)`
`static QueryCommandOk` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<QueryCommandOk>` `parser()`
`QueryCommandOk.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### EMPTY_FIELD_NUMBER

    public static final int EMPTY_FIELD_NUMBER

See Also:
  Constant Field Values

#### AFFECTED_ROWS_FIELD_NUMBER

    public static final int AFFECTED_ROWS_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getCommandReturnCase

    public QueryCommandOk.CommandReturnCase getCommandReturnCase()

Specified by:
  `getCommandReturnCase` in interface `QueryCommandOkOrBuilder`

#### hasEmpty

    public boolean hasEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `hasEmpty` in interface `QueryCommandOkOrBuilder`
Returns:
  Whether the empty field is set.

#### getEmpty

    public com.google.protobuf.Empty getEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmpty` in interface `QueryCommandOkOrBuilder`
Returns:
  The empty.

#### getEmptyOrBuilder

    public com.google.protobuf.EmptyOrBuilder getEmptyOrBuilder()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmptyOrBuilder` in interface `QueryCommandOkOrBuilder`

#### hasAffectedRows

    public boolean hasAffectedRows()

`uint64 affected_rows = 1;`

Specified by:
  `hasAffectedRows` in interface `QueryCommandOkOrBuilder`
Returns:
  Whether the affectedRows field is set.

#### getAffectedRows

    public long getAffectedRows()

`uint64 affected_rows = 1;`

Specified by:
  `getAffectedRows` in interface `QueryCommandOkOrBuilder`
Returns:
  The affectedRows.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static QueryCommandOk parseFrom(ByteBuffer data)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryCommandOk parseFrom(ByteBuffer data,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryCommandOk parseFrom(com.google.protobuf.ByteString data)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryCommandOk parseFrom(com.google.protobuf.ByteString data,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryCommandOk parseFrom(byte[] data)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryCommandOk parseFrom(byte[] data,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static QueryCommandOk parseFrom(InputStream input)
                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryCommandOk parseFrom(InputStream input,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static QueryCommandOk parseDelimitedFrom(InputStream input)
                                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static QueryCommandOk parseDelimitedFrom(InputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryCommandOk parseFrom(com.google.protobuf.CodedInputStream input)
                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static QueryCommandOk parseFrom(com.google.protobuf.CodedInputStream input,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public QueryCommandOk.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static QueryCommandOk.Builder newBuilder()

#### newBuilder

    public static QueryCommandOk.Builder newBuilder(QueryCommandOk prototype)

#### toBuilder

    public QueryCommandOk.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected QueryCommandOk.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static QueryCommandOk getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<QueryCommandOk> parser()

#### getParserForType

    public com.google.protobuf.Parser<QueryCommandOk> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public QueryCommandOk getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`